## CGAL::Triangulation_hierarchy_vertex_base_3<TriangulationVertexBase_3>

### Definition

This class is designed to be used as the vertex base class for Triangulation_hierarchy_3.

It inherits from its parameter TriangulationVertexBase_3, and adds the requirements in order to match the concept TriangulationHierarchyVertexBase_3, it does so by storing two Vertex_handles. This design allows to use either a vertex base class provided by CGAL, or a user customized vertex base with additional functionalities.

#include <CGAL/Triangulation_hierarchy_vertex_base_3.h>

### Parameters

It is parameterized by a model of the concept TriangulationVertexBase_3.

### Is Model for the Concept

TriangulationHierarchyVertexBase_3

### Inherits From

TriangulationVertexBase_3

### See Also

CGAL::Triangulation_hierarchy_3
CGAL::Triangulation_vertex_base_3
CGAL::Triangulation_vertex_base_with_info_3